Skip to main content

GenerateNewToken

When the provider needs to change the game through the lobby, there is a /generateNewToken call available to get new token for openning that game.

Request Example

POST /generateNewToken HTTP/1.1
Content-Type: application/json
https://stg.otkgaming.com/generateNewToken
{
"token" : "valid-session-token",
"newGameId" : "123"
}

Property NameDescriptioTypeNotes
tokenplayer’s session tokenstring(255)value passed upon game launch as query parameter
newGameIdgame's identifier from provider sidestring(100)new game id which player wants to launch

Response Example

https://stg.otkgaming.com/generateNewToken
{
"newToken" : "new-valid-session-token"
}

Property NameDescriptioTypeNotes
newTokennew token to launch the gamestring(255)value to pass for open the game